import { createRouter, createWebHistory } from "vue-router";
import LayoutIndex from "@/layout/Index.vue";

const routes = [
  {
    path:'/',
    name:'LayoutIndex',
    redirect: '/etaChart/index',
    component:LayoutIndex,
    meta:{
      title:'ETA社区'
    },
    children:[
      {
        path:'etaChart/index',
        name:'ETAChartIndex',
        component:()=>import('@/views/etaChart/Index.vue'),
        meta:{
          title:'ETA图库'
        },
      },
      {
        path:'EDBSource',
        name:'EDBSource',
        component:()=>import('@/views/EDBSource.vue'),
        meta:{
          title:'指标溯源'
        },
      },
    ]
  },
  {
    path: "/:pathMatch(.*)",
    name: "error",
    component: () => import("@/views/404.vue"),
    meta: { title: "404" },
  },
];

const router = createRouter({
  history: createWebHistory(import.meta.env.VITE_APP_BASE_URL),
  routes,
});


export default router;
